# Module selenium-webdriver/firefox/extension

code »

Utilities for working with Firefox extensions.

Show:Public Protected Private

## Type Definitions

code »AddonDetails : `{id: string, name: string, version: string, unpack: boolean}`
Describes a Firefox add-on.

## Functions

code »install ( extension, dir ) ⇒ `!promise.Promise.<string>`

Installs an extension to the given directory.

Parameters

extension: `string`
  Path to the extension to install, as either a xpi file or a directory.
dir: `string`
  Path to the directory to install the extension in.

Returns

A promise for the add-on ID once installed.